### Method

# EDataServer SourceCredentialsProviderImpl can_prompt

since: 3.16

#### Declaration [src]

    gboolean
    e_source_credentials_provider_impl_can_prompt (
      ESourceCredentialsProviderImpl* provider_impl
    )

#### Description [src]

Returns whether credential prompt can be done for the `provider_impl`.

Available since: 3.16

#### Return value

Type: `gboolean`

Whether credential prompt can be done for the `provider_impl`.